
var ltotal=0;
function espera(){
	 ltotal = $("#txt-monto").val();
	var t = $("#txt-ticket").val()
	if($("#txt-ticket").val()==""){
		alert("Falta el nombre del ticket");
		return;
	}
	if(!confirm("Colocar esta venta en espera?")){
		return;
	}
				
				var param = "nombre="+t
				$.get("verificar_pendiente.php?"+param, function(data,st){
					if(st=="success"){
						if(data>0){
								alert("Hay una venta en espera con este nombre")
						}else{
							put(t);
						}
					}
				})
	
}




function put(t){
	var sql = "update detalle_venta set nombre='"+t+"' where folio='"+myCaja+""+folio+"'"
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
		  if(data=="1"){
				put2(t)
		  }
			
      })
	
	

}

function put2(t){
	 var sql = "insert into detalle_pendiente select * from detalle_venta where folio='"+myCaja+""+folio+"'"
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
		if(data=="1"){  
			setImporte(t,ltotal)
		}
      })
	  
	
}



function setImporte(t,tooo){
	sql = "update detalle_pendiente set importe='"+$("#txt-monto2").val()+"' where nombre='"+t+"'"
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
			
			  if(data=="1"){
				delete_item()
			}	
      })
}



function delete_item(){
	var sql = "delete from detalle_venta where folio='"+myCaja+""+folio+"'"
    _enviar("../php/update.php", {
        "sql": sql
      })
      .done(function(data) {
		  if(data=="1"){
			  lista(myCaja+""+folio);
			  $("#txt-ticket").val("");
			   $("#mesas").val("")
			  ////window.location.reload()
		  }
		
      })
	  

}


////LISTA PENDIENTE///
var cliente45="";
var c_=0
lista_pendiente("")
  function lista_pendiente(v){
	  c_=0;
    try {
      var sql = "select * from ventas where ticket like '%" + v + "%' and total>0 and estado='Abierta'"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
            $("#lista-pendiente").html("No hay datos para mostrar");
            return;
          }
          var rs = JSON.parse(data);
          var tabla = "<table class='table table-sm table-hover table-striped' style='width:100%'><thead><th>NOMBRE</th><th>TOTAL A PAGAR</th><tbody>";
          var id_;
          for (var i in rs.data) {
			  c_++
            id_v = rs.data[i].id_venta
			
            tabla += "<tr>";
			
			tabla += "<td width='400'><a href='javascript:void(0)' onclick='getPendi("+id_v+")'>" + rs.data[i].ticket + "</a></td>";
			
            tabla += "<td style='background:yellow'><a href='javascript:void(0)'>" + numeral(rs.data[i].total).format('0,0.00') + "</a></td>";
            tabla += "</tr>";
			
			$("#lbEspera").html(c_)

          }
          tabla += "</tbody></table>";
          $("#lista-pendiente").html(tabla);
          

        })
    } catch (e) {
      alert(e.message)
    }

    
  }

  function getPendi(i){
    	window.location.href="facturacion.php?id_venta="+i;
    }